Subject: Re: bug#5970: regex won't do lazy matching

From: Jim Meyering <[email-masked]>
Date: Mon, 26 Apr 2010 11:36:22 +0200

a g wrote:
> thanks for everyone's help. I agree this can be closed, but not for the
> reasons mentioned (though I appreciate them and they gave me the info I
> needed to find the answer:
> osdir.com/ml/lib.gnulib.bugs/2005-04/msg00027.html). Off to try emacs'
> regex.c instead.
>
> It would be nice if coreutils could offer the emacs regex.c (or some other
> regex that supported non-greedy matching) at least as an additional library
> if not the standard one... but, not my call...

BTW, why do you care what regex code coreutils uses?
Because of expr?  Its use of regexp is tightly specified by POSIX,
so we cannot change it without a very good reason.

There are a few other coreutils programs that use regex.c functions,
but they are not used as frequently.